worked with ff3 for me so far Rated 4 out of 5 stars

You must add extensions.checkCompatibility to false in about:config in order to do so and be logged in to download the add-ons

Good, Conveninent, Sadly Defunct Rated 4 out of 5 stars

When this worked, I found it useful. I have Lock Tab set as the default condition for tabs - so that I get something like a breadcrumb trail. So, I have a long list of tabs. I jump around within these. Was useful to follow the tab trail. And convenient that I could choose custom hot keys to do this.

So, bring this back, Matthew! Would be much appreciated...

Thanks,

IW